Bug 1654006 - [abrt] evolution: g_wakeup_new(): evolution killed by SIGTRAP
Summary: [abrt] evolution: g_wakeup_new(): evolution killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7509a406e674ef4eaec427a875a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 20:06 UTC by Niki Guldbrand
Modified: 2019-11-27 20:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:04:47 UTC


Attachments (Terms of Use)
File: backtrace (107.59 KB, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details
File: cgroup (195 bytes, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details
File: core_backtrace (14.74 KB, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details
File: cpuinfo (1.41 KB, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details
File: dso_list (11.58 KB, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details
File: environ (5.39 KB, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details
File: machineid (135 bytes, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details
File: maps (105.77 KB, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details
File: mountinfo (4.07 KB, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details
File: open_fds (57.49 KB, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details
File: var_log_messages (105 bytes, text/plain)
2018-11-27 20:06 UTC, Niki Guldbrand
no flags Details

Description Niki Guldbrand 2018-11-27 20:06:01 UTC
Description of problem:
Oppened a mail when the crash happened

Version-Release number of selected component:
evolution-3.30.2-2.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        evolution -c current
crash_function: g_wakeup_new
executable:     /usr/bin/evolution
journald_cursor: s=4dc4bdb4eba346aba78c05f2ba315d20;i=19730a;b=56feaa7a9beb43fa96aedb035294f45d;m=cd54965c30;t=57baaa2abc798;x=c1d7d068b5619e11
kernel:         4.18.18-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 g_wakeup_new at gwakeup.c:161
 #5 g_main_context_new at gmain.c:656
 #6 g_dbus_connection_send_message_with_reply_sync at gdbusconnection.c:2129
 #7 g_dbus_connection_call_sync_internal at gdbusconnection.c:5941
 #8 g_dbus_connection_call_with_unix_fd_list_sync at gdbusconnection.c:6290
 #9 g_dbus_proxy_call_sync_internal at gdbusproxy.c:2870
 #10 g_dbus_proxy_call_sync at gdbusproxy.c:3062
 #11 e_dbus_address_book_call_get_contact_list_sync at /usr/src/debug/evolution-data-server-3.30.2-1.fc29.x86_64/_build/src/private/e-dbus-address-book.c:2653
 #12 e_book_client_get_contacts_sync at /usr/src/debug/evolution-data-server-3.30.2-1.fc29.x86_64/src/addressbook/libebook/e-book-client.c:3585
 #13 contact_photo_source_get_photo_thread at /usr/src/debug/evolution-3.30.2-2.fc29.x86_64/src/modules/contact-photos/e-contact-photo-source.c:98

Comment 1 Niki Guldbrand 2018-11-27 20:06:07 UTC
Created attachment 1509167 [details]
File: backtrace

Comment 2 Niki Guldbrand 2018-11-27 20:06:09 UTC
Created attachment 1509168 [details]
File: cgroup

Comment 3 Niki Guldbrand 2018-11-27 20:06:11 UTC
Created attachment 1509169 [details]
File: core_backtrace

Comment 4 Niki Guldbrand 2018-11-27 20:06:13 UTC
Created attachment 1509170 [details]
File: cpuinfo

Comment 5 Niki Guldbrand 2018-11-27 20:06:15 UTC
Created attachment 1509172 [details]
File: dso_list

Comment 6 Niki Guldbrand 2018-11-27 20:06:17 UTC
Created attachment 1509173 [details]
File: environ

Comment 7 Niki Guldbrand 2018-11-27 20:06:18 UTC
Created attachment 1509174 [details]
File: limits

Comment 8 Niki Guldbrand 2018-11-27 20:06:20 UTC
Created attachment 1509175 [details]
File: machineid

Comment 9 Niki Guldbrand 2018-11-27 20:06:22 UTC
Created attachment 1509176 [details]
File: maps

Comment 10 Niki Guldbrand 2018-11-27 20:06:23 UTC
Created attachment 1509177 [details]
File: mountinfo

Comment 11 Niki Guldbrand 2018-11-27 20:06:25 UTC
Created attachment 1509178 [details]
File: open_fds

Comment 12 Niki Guldbrand 2018-11-27 20:06:27 UTC
Created attachment 1509179 [details]
File: proc_pid_status

Comment 13 Niki Guldbrand 2018-11-27 20:06:28 UTC
Created attachment 1509180 [details]
File: var_log_messages

Comment 14 Milan Crha 2018-11-28 08:12:24 UTC
Thanks for a bug report. It looks like some part of the code (or some library Evolution uses) is leaking file descriptors, because the reason for the abort was:

   Creating pipes for GWakeup: Too many open files

The open_fds attachment above shows quite many pipe-s opened, which is most likely the reason. I'm wondering how that could happen. I see in the backtrace that you've enabled lookup for sender's photo, which can be related to it, though I do not recall it using any pipes directly. I'd rather guess it's some message type, which is increasing the opened file descriptors count, like some signed/encrypted message with either S/MIME or GPG, but I've not been able to reproduce this even with those.

Could you try to find some way to reliably increase the opened pipes, please?

You can check how many are opened with a command like this:

   $ lsof -p `pidof evolution` | grep -c pipe

The command returns 0 for me after viewing various messages. You can count overall opened files with this command:

   $ lsof -p `pidof evolution` | wc -l

I've 417 right now, but I'd rather focus on the pipe-s, because they seem to be it. For the way to find a reproducer, run the first command from a terminal, then use evolution as before and try to remember what you did. After some time run the command again. If the returned value increases, then you most likely found a way to reproduce it. Repeat what you did (like view the messages again or such), and run the first command again, which may increase the descriptors. You can find the offending message with this.

It can also depend which account type is involved, which I didn't see from the backtrace. Do you use IMAP, POP3, ...?

Comment 15 Ben Cotton 2019-10-31 20:25:48 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-11-27 20:04:47 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.